﻿/*  MiniExplorer - File System Explorer with two panels for Google Desktop
    Copyright (C) 2007 Krzysztof Olczyk

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* autoupdater class */

var Updater = new Object();

do_checkupdate = function(docu)
{
	var upob = docu.parseJSON();
	options.putDefaultValue("last_update", "0");
	var lastid = options.getValue("last_update");
	for (i in upob)
	{
		if (upob[i].code > lastid && upob[i].min_ver <= Updater.version && upob[i].max_ver >= Updater.version)
		{
			if (confirm(upob[i].text))
			{
				var ie = new ActiveXObject("InternetExplorer.Application");
				ie.Navigate(upob[i].url);
			}
			options.putValue("last_update", upob[i].code);
		}
	}
}

checkUpdate = function()
{
	request(Updater.directory, do_checkupdate);
}

