﻿/*  MiniExplorer - File System Explorer with two panels for Google Desktop
    Copyright (C) 2007 Krzysztof Olczyk

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

var vbs = new ActiveXObject("MSScriptControl.ScriptControl");
vbs.language = "vbscript";

String.prototype.escape = function()
{
	var str = this; 
	str = str.replace(/"/g, "\\\"");
	str = str.replace(/'/g, "\\'");
	return str;
}

String.prototype.escapeVBS = function()
{
	var str = this; 
	str = str.replace(/"/g, '""');
	str = str.replace(/\r/g, '" + Chr(13) + "');
	str = str.replace(/\n/g, '" + Chr(10) + "');
	return str;
}

function prompt(a, b, c)
{
	 return vbs.eval("InputBox(\"" + a.escapeVBS() + "\", \"" + b.escapeVBS() + "\", \"" + c.escapeVBS() + "\")");
}

String.prototype.format = function()
{
    var str = this;

    for(var i = 0; i < arguments.length; i++)
    {
        var re = new RegExp('\\{' + (i) + '\\}','gm');

        str = str.replace(re, arguments[i]);
    }

    return str;
}

function request(url, callback)
{
        if (XMLHttpRequest)
	{
                var request_obj = new XMLHttpRequest();
        }
	else
	{
                var request_obj = new ActiveXObject("MSXML2.XMLHTTP.3.0");
        }
        
        request_obj.open("POST", url, true);

        request_obj.onreadystatechange = function()
	{
                if (request_obj.readyState == 4 && request_obj.status == 200) 
		{
			if (request_obj.responseText)
			{
                                obj = request_obj.responseText;
                                callback(obj);
                        }
                }
        }
        request_obj.send("");
}

function requestXML(url, callback)
{
        if (XMLHttpRequest)
	{
                var request_obj = new XMLHttpRequest();
        }
	else
	{
                var request_obj = new ActiveXObject("MSXML2.XMLHTTP.3.0");
        }
        
        request_obj.open("POST", url, true);

        request_obj.onreadystatechange = function()
	{
                if (request_obj.readyState == 4 && request_obj.status == 200) 
		{
			if (request_obj.responseXML)
			{
                                obj = request_obj.responseXML;
                                callback(obj);
                        }
                }
        }
        request_obj.send("");
}

